ExecutionError
Date: 2016-05-24

com.google.common.util.concurrent

## Class ExecutionError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - com.google.common.util.concurrent.ExecutionError

- All Implemented Interfaces:
    java.io.Serializable

      @GwtCompatible
      public class ExecutionError
      extends java.lang.Error

  `Error` variant of `ExecutionException`. As with `ExecutionException`, the error's cause comes from a failed task, possibly run in another thread. That cause should itself be an `Error`; if not, use `ExecutionException` or `UncheckedExecutionException`. This allows the client code to continue to distinguish between exceptions and errors, even when they come from other threads.
  Since:
    10.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExecutionError()` Creates a new instance with `null` as its detail message.
    `` | `ExecutionError(java.lang.Error cause)` Creates a new instance with the given cause.
    `protected` | `ExecutionError(java.lang.String message)` Creates a new instance with the given detail message.
    `` | `ExecutionError(java.lang.String message, java.lang.Error cause)` Creates a new instance with the given detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionError

          protected ExecutionError()

      Creates a new instance with `null` as its detail message.

    - #### ExecutionError

          protected ExecutionError(@Nullable
                        java.lang.String message)

      Creates a new instance with the given detail message.

    - #### ExecutionError

          public ExecutionError(@Nullable
                        java.lang.String message,
                        @Nullable
                        java.lang.Error cause)

      Creates a new instance with the given detail message and cause.

    - #### ExecutionError

          public ExecutionError(@Nullable
                        java.lang.Error cause)

      Creates a new instance with the given cause.